/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebCalendarBaseDescription } from "./WebCalendarBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebCalendarDescription = /*@__PURE__*/ (() => {
    class WebCalendarDescription extends WebCalendarBaseDescription {
        constructor() {
            super();
            this.ae = new Date();
            this.u = null;
            this.ab = false;
            this.aa = false;
            this.ak = null;
            this.al = null;
            this.ag = 0;
            this.ai = null;
            this.w = null;
            this.y = null;
            this.am = null;
            this.aj = null;
        }
        get_type() {
            return "WebCalendar";
        }
        get value() {
            return this.ae;
        }
        set value(a) {
            this.ae = a;
            this.e("Value");
        }
        get values() {
            return this.u;
        }
        set values(a) {
            this.u = a;
            this.e("Values");
        }
        get hideOutsideDays() {
            return this.ab;
        }
        set hideOutsideDays(a) {
            this.ab = a;
            this.e("HideOutsideDays");
        }
        get hideHeader() {
            return this.aa;
        }
        set hideHeader(a) {
            this.aa = a;
            this.e("HideHeader");
        }
        get headerOrientation() {
            return this.ak;
        }
        set headerOrientation(a) {
            this.ak = a;
            this.e("HeaderOrientation");
        }
        get orientation() {
            return this.al;
        }
        set orientation(a) {
            this.al = a;
            this.e("Orientation");
        }
        get visibleMonths() {
            return this.ag;
        }
        set visibleMonths(a) {
            this.ag = a;
            this.e("VisibleMonths");
        }
        get activeView() {
            return this.ai;
        }
        set activeView(a) {
            this.ai = a;
            this.e("ActiveView");
        }
        get formatOptions() {
            return this.w;
        }
        set formatOptions(a) {
            this.w = a;
            this.e("FormatOptions");
        }
        get resourceStrings() {
            return this.y;
        }
        set resourceStrings(a) {
            this.y = a;
            this.e("ResourceStrings");
        }
        get size() {
            return this.am;
        }
        set size(a) {
            this.am = a;
            this.e("Size");
        }
        get changeRef() {
            return this.aj;
        }
        set changeRef(a) {
            this.aj = a;
            this.e("ChangeRef");
        }
    }
    WebCalendarDescription.$t = markType(WebCalendarDescription, 'WebCalendarDescription', WebCalendarBaseDescription.$);
    return WebCalendarDescription;
})();
